Installing Ruby On Rails and the dreaded Error Message

If you attempt to install rails via the standard

yo@yo:/ sudo gem install rails

And you get the dreaded message:

ERROR:  could not find rails locally or in a repository

There is a simple cure.  Simply install the new gem (1.3.1) package from source and try again.  Apparently 1.1.1 and 1.2.1 get the connection to the mother ship snipped some how.   I tried and failed and tried and failed to install Rails via gem until i reinstalled the new gem package.

Keep in mind this is a full install.  You’ll have to get the package as follows

wget http://rubyforge.org/frs/download.php/45905/rubygems-1.3.1.tgz

unzip and untar and build the sources via

sudo ruby setup.rb

HTH,

Shaun twitter.com/h0h0h0

Leave a Reply